# settings_type.h File Reference

Types related to global configuration settings. More...

`#include "yapf/yapf_settings.h"`
`#include "date_type.h"`
`#include "town_type.h"`

Go to the source code of this file.

## Data Structures

struct | GameDifficulty
struct | GameOptions
struct | Patches

## Defines

#define | GAME_DIFFICULTY_NUM 18

## Typedefs

typedef uint16 | GDType
| Specific type for Game Difficulty to ease changing the type.

## Variables

GameOptions | _opt
GameOptions | _opt_newgame
GameOptions * | _opt_ptr
Patches | _patches
Patches | _patches_newgame
| The patch values that are used for new games and/or modified in config file.

## Detailed Description

Types related to global configuration settings.

Definition in file settings_type.h.